javax.mail.internet

## Class MimeMessage

- java.lang.Object
- - javax.mail.internet.MimeMessage

- All Implemented Interfaces:
    MimePart

      public class MimeMessage
      extends java.lang.Object
      implements MimePart

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeMessage(Session session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFrom(InternetAddress from)`
    `void` | `setSubject(java.lang.String subject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeMessage

          public MimeMessage(Session session)

  - ### Method Detail

    - #### setFrom

          public void setFrom(InternetAddress from)

    - #### setSubject

          public void setSubject(java.lang.String subject)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.